@import "/src/variables.scss";

.taskbar-icon {
  position: relative;
  height: 40px;
  width: 40px;
  display: inline-block;
  margin: 5px;
  padding: 5px;
  border-radius: 10px;
  transition: all 200ms;

  img {
    height: 100%;
    width: 100%;
    transition: all 200ms;

    &.click {
      height: 80%;
      width: 80%;
      margin: 10%;
    }
  }

  &:hover {
    background-color: rgba(255, 255, 255, 0.1);

    .taskbar-tooltip {
      opacity: 100;
      visibility: visible;
    }
  }

  .taskbar-tooltip {
    position: absolute;
    bottom: 52px;
    display: block;
    background-color: var(--colors-first-background);
    color: var(--colors-text);
    border-radius: 2px;
    padding: 2px;
    transition: opacity 100ms;
    visibility: hidden;
    opacity: 0;
    width: max-content;
  }

  .taskbar-opened {
    --opened: 5px;
    --focused: 20px;

    position: absolute;
    width: var(--focused);
    height: 3px;
    border-radius: 1.5px;
    background-color: var(--opened-color);
    transition: all 100ms;
    opacity: 0;

    top: 90%;
    left: 50%;
    transform: translate(-50%, 0);
  }
}
